Backupninja 0.9.4
[matthijs/upstream/backupninja.git] / Makefile.in
1 # Makefile.in generated by automake 1.9.6 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # vi: noexpandtab softtabstop=0
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 pkgdatadir = $(datadir)/@PACKAGE@
22 pkglibdir = $(libdir)/@PACKAGE@
23 pkgincludedir = $(includedir)/@PACKAGE@
24 top_builddir = .
25 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26 INSTALL = @INSTALL@
27 install_sh_DATA = $(install_sh) -c -m 644
28 install_sh_PROGRAM = $(install_sh) -c
29 install_sh_SCRIPT = $(install_sh) -c
30 INSTALL_HEADER = $(INSTALL_DATA)
31 transform = $(program_transform_name)
32 NORMAL_INSTALL = :
33 PRE_INSTALL = :
34 POST_INSTALL = :
35 NORMAL_UNINSTALL = :
36 PRE_UNINSTALL = :
37 POST_UNINSTALL = :
38 subdir = .
39 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
40         $(srcdir)/Makefile.in $(srcdir)/backupninja.spec.in \
41         $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
42         TODO install-sh missing
43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44 am__aclocal_m4_deps = $(top_srcdir)/configure.in
45 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46         $(ACLOCAL_M4)
47 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48  configure.lineno configure.status.lineno
49 mkinstalldirs = $(install_sh) -d
50 CONFIG_CLEAN_FILES = backupninja.spec
51 SOURCES =
52 DIST_SOURCES =
53 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
54         html-recursive info-recursive install-data-recursive \
55         install-exec-recursive install-info-recursive \
56         install-recursive installcheck-recursive installdirs-recursive \
57         pdf-recursive ps-recursive uninstall-info-recursive \
58         uninstall-recursive
59 ETAGS = etags
60 CTAGS = ctags
61 DIST_SUBDIRS = $(SUBDIRS)
62 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
63 distdir = $(PACKAGE)-$(VERSION)
64 top_distdir = $(distdir)
65 am__remove_distdir = \
66   { test ! -d $(distdir) \
67     || { find $(distdir) -type d ! -perm -200 -exec chmod u+w {} ';' \
68          && rm -fr $(distdir); }; }
69 DIST_ARCHIVES = $(distdir).tar.gz
70 GZIP_ENV = --best
71 distuninstallcheck_listfiles = find . -type f -print
72 distcleancheck_listfiles = find . -type f -print
73 ACLOCAL = @ACLOCAL@
74 AMTAR = @AMTAR@
75 AUTOCONF = @AUTOCONF@
76 AUTOHEADER = @AUTOHEADER@
77 AUTOMAKE = @AUTOMAKE@
78 AWK = @AWK@
79 BASH = @BASH@
80 CFGDIR = @CFGDIR@
81 CYGPATH_W = @CYGPATH_W@
82 DEFS = @DEFS@
83 ECHO_C = @ECHO_C@
84 ECHO_N = @ECHO_N@
85 ECHO_T = @ECHO_T@
86 HAVE_RPM = @HAVE_RPM@
87 INSTALL_DATA = @INSTALL_DATA@
88 INSTALL_PROGRAM = @INSTALL_PROGRAM@
89 INSTALL_SCRIPT = @INSTALL_SCRIPT@
90 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
91 LIBOBJS = @LIBOBJS@
92 LIBS = @LIBS@
93 LN_S = @LN_S@
94 LTLIBOBJS = @LTLIBOBJS@
95 MAKEINFO = @MAKEINFO@
96 PACKAGE = @PACKAGE@
97 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
98 PACKAGE_NAME = @PACKAGE_NAME@
99 PACKAGE_STRING = @PACKAGE_STRING@
100 PACKAGE_TARNAME = @PACKAGE_TARNAME@
101 PACKAGE_VERSION = @PACKAGE_VERSION@
102 PATH_SEPARATOR = @PATH_SEPARATOR@
103 SED = @SED@
104 SET_MAKE = @SET_MAKE@
105 SHELL = @SHELL@
106 STRIP = @STRIP@
107 VERSION = @VERSION@
108 ac_cv_have_rpm = @ac_cv_have_rpm@
109 am__leading_dot = @am__leading_dot@
110 am__tar = @am__tar@
111 am__untar = @am__untar@
112 bindir = @bindir@
113 build_alias = @build_alias@
114 datadir = @datadir@
115 datarootdir = @datarootdir@
116 docdir = @docdir@
117 dvidir = @dvidir@
118 exec_prefix = @exec_prefix@
119 host_alias = @host_alias@
120 htmldir = @htmldir@
121 includedir = @includedir@
122 infodir = @infodir@
123 install_sh = @install_sh@
124 libdir = @libdir@
125 libexecdir = @libexecdir@
126 localedir = @localedir@
127 localstatedir = @localstatedir@
128 mandir = @mandir@
129 mkdir_p = @mkdir_p@
130 oldincludedir = @oldincludedir@
131 pdfdir = @pdfdir@
132 prefix = @prefix@
133 program_transform_name = @program_transform_name@
134 psdir = @psdir@
135 sbindir = @sbindir@
136 sharedstatedir = @sharedstatedir@
137 sysconfdir = @sysconfdir@
138 target_alias = @target_alias@
139 EXTRA_DIST = README COPYING AUTHORS INSTALL NEWS ChangeLog \
140              backupninja.spec backupninja.spec.in autogen.sh
141
142 SUBDIRS = etc examples handlers lib man src
143 local_rpm_topdir = `cd $(top_srcdir) && pwd`/rpm
144 all: all-recursive
145
146 .SUFFIXES:
147 am--refresh:
148         @:
149 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
150         @for dep in $?; do \
151           case '$(am__configure_deps)' in \
152             *$$dep*) \
153               echo ' cd $(srcdir) && $(AUTOMAKE) --gnu '; \
154               cd $(srcdir) && $(AUTOMAKE) --gnu  \
155                 && exit 0; \
156               exit 1;; \
157           esac; \
158         done; \
159         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  Makefile'; \
160         cd $(top_srcdir) && \
161           $(AUTOMAKE) --gnu  Makefile
162 .PRECIOUS: Makefile
163 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
164         @case '$?' in \
165           *config.status*) \
166             echo ' $(SHELL) ./config.status'; \
167             $(SHELL) ./config.status;; \
168           *) \
169             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
170             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
171         esac;
172
173 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
174         $(SHELL) ./config.status --recheck
175
176 $(top_srcdir)/configure:  $(am__configure_deps)
177         cd $(srcdir) && $(AUTOCONF)
178 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
179         cd $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
180 backupninja.spec: $(top_builddir)/config.status $(srcdir)/backupninja.spec.in
181         cd $(top_builddir) && $(SHELL) ./config.status $@
182 uninstall-info-am:
183
184 # This directory's subdirectories are mostly independent; you can cd
185 # into them and run `make' without going through this Makefile.
186 # To change the values of `make' variables: instead of editing Makefiles,
187 # (1) if the variable is set in `config.status', edit `config.status'
188 #     (which will cause the Makefiles to be regenerated when you run `make');
189 # (2) otherwise, pass the desired values on the `make' command line.
190 $(RECURSIVE_TARGETS):
191         @failcom='exit 1'; \
192         for f in x $$MAKEFLAGS; do \
193           case $$f in \
194             *=* | --[!k]*);; \
195             *k*) failcom='fail=yes';; \
196           esac; \
197         done; \
198         dot_seen=no; \
199         target=`echo $@ | sed s/-recursive//`; \
200         list='$(SUBDIRS)'; for subdir in $$list; do \
201           echo "Making $$target in $$subdir"; \
202           if test "$$subdir" = "."; then \
203             dot_seen=yes; \
204             local_target="$$target-am"; \
205           else \
206             local_target="$$target"; \
207           fi; \
208           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
209           || eval $$failcom; \
210         done; \
211         if test "$$dot_seen" = "no"; then \
212           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
213         fi; test -z "$$fail"
214
215 mostlyclean-recursive clean-recursive distclean-recursive \
216 maintainer-clean-recursive:
217         @failcom='exit 1'; \
218         for f in x $$MAKEFLAGS; do \
219           case $$f in \
220             *=* | --[!k]*);; \
221             *k*) failcom='fail=yes';; \
222           esac; \
223         done; \
224         dot_seen=no; \
225         case "$@" in \
226           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
227           *) list='$(SUBDIRS)' ;; \
228         esac; \
229         rev=''; for subdir in $$list; do \
230           if test "$$subdir" = "."; then :; else \
231             rev="$$subdir $$rev"; \
232           fi; \
233         done; \
234         rev="$$rev ."; \
235         target=`echo $@ | sed s/-recursive//`; \
236         for subdir in $$rev; do \
237           echo "Making $$target in $$subdir"; \
238           if test "$$subdir" = "."; then \
239             local_target="$$target-am"; \
240           else \
241             local_target="$$target"; \
242           fi; \
243           (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
244           || eval $$failcom; \
245         done && test -z "$$fail"
246 tags-recursive:
247         list='$(SUBDIRS)'; for subdir in $$list; do \
248           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
249         done
250 ctags-recursive:
251         list='$(SUBDIRS)'; for subdir in $$list; do \
252           test "$$subdir" = . || (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
253         done
254
255 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
256         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
257         unique=`for i in $$list; do \
258             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
259           done | \
260           $(AWK) '    { files[$$0] = 1; } \
261                END { for (i in files) print i; }'`; \
262         mkid -fID $$unique
263 tags: TAGS
264
265 TAGS: tags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
266                 $(TAGS_FILES) $(LISP)
267         tags=; \
268         here=`pwd`; \
269         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
270           include_option=--etags-include; \
271           empty_fix=.; \
272         else \
273           include_option=--include; \
274           empty_fix=; \
275         fi; \
276         list='$(SUBDIRS)'; for subdir in $$list; do \
277           if test "$$subdir" = .; then :; else \
278             test ! -f $$subdir/TAGS || \
279               tags="$$tags $$include_option=$$here/$$subdir/TAGS"; \
280           fi; \
281         done; \
282         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
283         unique=`for i in $$list; do \
284             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
285           done | \
286           $(AWK) '    { files[$$0] = 1; } \
287                END { for (i in files) print i; }'`; \
288         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
289           test -n "$$unique" || unique=$$empty_fix; \
290           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
291             $$tags $$unique; \
292         fi
293 ctags: CTAGS
294 CTAGS: ctags-recursive $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
295                 $(TAGS_FILES) $(LISP)
296         tags=; \
297         here=`pwd`; \
298         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
299         unique=`for i in $$list; do \
300             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
301           done | \
302           $(AWK) '    { files[$$0] = 1; } \
303                END { for (i in files) print i; }'`; \
304         test -z "$(CTAGS_ARGS)$$tags$$unique" \
305           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
306              $$tags $$unique
307
308 GTAGS:
309         here=`$(am__cd) $(top_builddir) && pwd` \
310           && cd $(top_srcdir) \
311           && gtags -i $(GTAGS_ARGS) $$here
312
313 distclean-tags:
314         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
315
316 distdir: $(DISTFILES)
317         $(am__remove_distdir)
318         mkdir $(distdir)
319         $(mkdir_p) $(distdir)/.
320         @srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
321         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
322         list='$(DISTFILES)'; for file in $$list; do \
323           case $$file in \
324             $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
325             $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
326           esac; \
327           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
328           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
329           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
330             dir="/$$dir"; \
331             $(mkdir_p) "$(distdir)$$dir"; \
332           else \
333             dir=''; \
334           fi; \
335           if test -d $$d/$$file; then \
336             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
337               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
338             fi; \
339             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
340           else \
341             test -f $(distdir)/$$file \
342             || cp -p $$d/$$file $(distdir)/$$file \
343             || exit 1; \
344           fi; \
345         done
346         list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
347           if test "$$subdir" = .; then :; else \
348             test -d "$(distdir)/$$subdir" \
349             || $(mkdir_p) "$(distdir)/$$subdir" \
350             || exit 1; \
351             distdir=`$(am__cd) $(distdir) && pwd`; \
352             top_distdir=`$(am__cd) $(top_distdir) && pwd`; \
353             (cd $$subdir && \
354               $(MAKE) $(AM_MAKEFLAGS) \
355                 top_distdir="$$top_distdir" \
356                 distdir="$$distdir/$$subdir" \
357                 distdir) \
358               || exit 1; \
359           fi; \
360         done
361         -find $(distdir) -type d ! -perm -777 -exec chmod a+rwx {} \; -o \
362           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
363           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
364           ! -type d ! -perm -444 -exec $(SHELL) $(install_sh) -c -m a+r {} {} \; \
365         || chmod -R a+r $(distdir)
366 dist-gzip: distdir
367         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
368         $(am__remove_distdir)
369
370 dist-bzip2: distdir
371         tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
372         $(am__remove_distdir)
373
374 dist-tarZ: distdir
375         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
376         $(am__remove_distdir)
377
378 dist-shar: distdir
379         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
380         $(am__remove_distdir)
381
382 dist-zip: distdir
383         -rm -f $(distdir).zip
384         zip -rq $(distdir).zip $(distdir)
385         $(am__remove_distdir)
386
387 dist dist-all: distdir
388         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
389         $(am__remove_distdir)
390
391 # This target untars the dist file and tries a VPATH configuration.  Then
392 # it guarantees that the distribution is self-contained by making another
393 # tarfile.
394 distcheck: dist
395         case '$(DIST_ARCHIVES)' in \
396         *.tar.gz*) \
397           GZIP=$(GZIP_ENV) gunzip -c $(distdir).tar.gz | $(am__untar) ;;\
398         *.tar.bz2*) \
399           bunzip2 -c $(distdir).tar.bz2 | $(am__untar) ;;\
400         *.tar.Z*) \
401           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
402         *.shar.gz*) \
403           GZIP=$(GZIP_ENV) gunzip -c $(distdir).shar.gz | unshar ;;\
404         *.zip*) \
405           unzip $(distdir).zip ;;\
406         esac
407         chmod -R a-w $(distdir); chmod a+w $(distdir)
408         mkdir $(distdir)/_build
409         mkdir $(distdir)/_inst
410         chmod a-w $(distdir)
411         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
412           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
413           && cd $(distdir)/_build \
414           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
415             $(DISTCHECK_CONFIGURE_FLAGS) \
416           && $(MAKE) $(AM_MAKEFLAGS) \
417           && $(MAKE) $(AM_MAKEFLAGS) dvi \
418           && $(MAKE) $(AM_MAKEFLAGS) check \
419           && $(MAKE) $(AM_MAKEFLAGS) install \
420           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
421           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
422           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
423                 distuninstallcheck \
424           && chmod -R a-w "$$dc_install_base" \
425           && ({ \
426                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
427                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
428                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
429                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
430                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
431               } || { rm -rf "$$dc_destdir"; exit 1; }) \
432           && rm -rf "$$dc_destdir" \
433           && $(MAKE) $(AM_MAKEFLAGS) dist \
434           && rm -rf $(DIST_ARCHIVES) \
435           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck
436         $(am__remove_distdir)
437         @(echo "$(distdir) archives ready for distribution: "; \
438           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
439           sed -e '1{h;s/./=/g;p;x;}' -e '$${p;x;}'
440 distuninstallcheck:
441         @cd $(distuninstallcheck_dir) \
442         && test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
443            || { echo "ERROR: files left after uninstall:" ; \
444                 if test -n "$(DESTDIR)"; then \
445                   echo "  (check DESTDIR support)"; \
446                 fi ; \
447                 $(distuninstallcheck_listfiles) ; \
448                 exit 1; } >&2
449 distcleancheck: distclean
450         @if test '$(srcdir)' = . ; then \
451           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
452           exit 1 ; \
453         fi
454         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
455           || { echo "ERROR: files left in build directory after distclean:" ; \
456                $(distcleancheck_listfiles) ; \
457                exit 1; } >&2
458 check-am: all-am
459 check: check-recursive
460 all-am: Makefile
461 installdirs: installdirs-recursive
462 installdirs-am:
463 install: install-recursive
464 install-exec: install-exec-recursive
465 install-data: install-data-recursive
466 uninstall: uninstall-recursive
467
468 install-am: all-am
469         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
470
471 installcheck: installcheck-recursive
472 install-strip:
473         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
474           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
475           `test -z '$(STRIP)' || \
476             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
477 mostlyclean-generic:
478
479 clean-generic:
480
481 distclean-generic:
482         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
483
484 maintainer-clean-generic:
485         @echo "This command is intended for maintainers to use"
486         @echo "it deletes files that may require special tools to rebuild."
487 clean: clean-recursive
488
489 clean-am: clean-generic clean-local mostlyclean-am
490
491 distclean: distclean-recursive
492         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
493         -rm -f Makefile
494 distclean-am: clean-am distclean-generic distclean-tags
495
496 dvi: dvi-recursive
497
498 dvi-am:
499
500 html: html-recursive
501
502 info: info-recursive
503
504 info-am:
505
506 install-data-am:
507
508 install-exec-am:
509
510 install-info: install-info-recursive
511
512 install-man:
513
514 installcheck-am:
515
516 maintainer-clean: maintainer-clean-recursive
517         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
518         -rm -rf $(top_srcdir)/autom4te.cache
519         -rm -f Makefile
520 maintainer-clean-am: distclean-am maintainer-clean-generic
521
522 mostlyclean: mostlyclean-recursive
523
524 mostlyclean-am: mostlyclean-generic
525
526 pdf: pdf-recursive
527
528 pdf-am:
529
530 ps: ps-recursive
531
532 ps-am:
533
534 uninstall-am: uninstall-info-am
535
536 uninstall-info: uninstall-info-recursive
537
538 .PHONY: $(RECURSIVE_TARGETS) CTAGS GTAGS all all-am am--refresh check \
539         check-am clean clean-generic clean-local clean-recursive ctags \
540         ctags-recursive dist dist-all dist-bzip2 dist-gzip dist-shar \
541         dist-tarZ dist-zip distcheck distclean distclean-generic \
542         distclean-recursive distclean-tags distcleancheck distdir \
543         distuninstallcheck dvi dvi-am html html-am info info-am \
544         install install-am install-data install-data-am install-exec \
545         install-exec-am install-info install-info-am install-man \
546         install-strip installcheck installcheck-am installdirs \
547         installdirs-am maintainer-clean maintainer-clean-generic \
548         maintainer-clean-recursive mostlyclean mostlyclean-generic \
549         mostlyclean-recursive pdf pdf-am ps ps-am tags tags-recursive \
550         uninstall uninstall-am uninstall-info-am
551
552 rpm-package: dist
553        if test x$(HAVE_RPM) = xyes ; then \
554                mkdir -p $(local_rpm_topdir) ; \
555                cd $(local_rpm_topdir) ; \
556                mkdir -p BUILD RPMS SOURCES SPECS ; \
557                cd SOURCES ; \
558                $(LN_S) ../../$(distdir).tar.gz ; \
559                cd .. ; \
560                cd SPECS ; \
561                $(LN_S) ../../backupninja.spec . ; \
562                cd .. ; \
563                rpmbuild --define "_topdir `cd . && pwd`" -bb SPECS/backupninja.spec && \
564                echo "Package successfully built in `pwd`/RPMS." ; \
565        else \
566                echo "Error: RPM executable and/or source directory not found." ; \
567        fi
568
569 srpm-package: dist
570       if test x$(HAVE_RPM) = xyes ; then \
571                mkdir -p $(local_rpm_topdir) ; \
572                cd $(local_rpm_topdir) ; \
573                mkdir -p BUILD SRPMS SOURCES SPECS ; \
574                cd SOURCES ; \
575                $(LN_S) ../../$(distdir).tar.gz ; \
576                cd .. ; \
577                cd SPECS ; \
578                $(LN_S) ../../backupninja.spec . \
579                cd .. ; \
580                rpmbuild --define "_topdir `cd . && pwd`" -bs SPECS/backupninja.spec && \
581                echo "Package successfully built in `pwd`/SRPMS." ; \
582        else \
583               echo "Error: RPM executable and/or source directory not found." ; \
584        fi
585
586 clean-local:
587         -rm -rf $(local_rpm_topdir)
588 # Tell versions [3.59,3.63) of GNU make to not export all variables.
589 # Otherwise a system limit (for SysV at least) may be exceeded.
590 .NOEXPORT: